Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class QuoteTypeFactory

    java.lang.Object
      com.fxcm.fix.QuoteTypeFactory

    public class QuoteTypeFactory

extends Object

Identifies the type of quote.

Field Summary
`static IQuoteType` | `INDICATIVE` Dealing Desk issues tradeable quotes that are kept as a part of the market.
`static IQuoteType` | `TRADEABLE` FXCM on-demand quotes are indicative, do not affect the market quotes, and work only for that particular Trader.

Constructor Summary
`QuoteTypeFactory()`

Method Summary
`static IQuoteType` | `toCode(int aCode)` Converts a status code to a fix object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INDICATIVE

    public static final IQuoteType INDICATIVE

  Dealing Desk issues tradeable quotes that are kept as a part of the market. Trader responds to the market with a trading order, that could be filled and the result of this trade could affect an end users open position blotters and accounts (as per FIX: continuously quoted market messaging scenario). There could be limitations on quantity or price.

### TRADEABLE

    public static final IQuoteType TRADEABLE

  FXCM on-demand quotes are indicative, do not affect the market quotes, and work only for that particular Trader.

Constructor Detail

### QuoteTypeFactory

    public QuoteTypeFactory()

Method Detail

### toCode

    public static IQuoteType toCode(int aCode)

  Converts a status code to a fix object

  Parameters:
    `aCode` - ``QUOTETYPE_*``
  Returns:
    quote type fix object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.